Description

History

#1 - 10/23/2012 07:13 PM - Eric Faulhaber

Detect frames that are functionally identical and reuse the same definition in all business logic rather than creating a new one for each use.

Often the same frame definition is used across procedures.  Today, we extract each such definition and create a separate class for each.  We need to

analyze the definitions and detect duplication.  The simplest implementation will look for exact duplicates;  a more nuanced implementation would be

able to detect and abstract commonalities, even if the frames were not entirely identical.  The latter is what we ultimately would like to achieve, but

even implementing the former will eliminate a lot of unnecessary converted code.

We do this today for temp-table definitions (the simpler implementation, that is).  Perhaps a similar approach can work for frames.

#2 - 10/31/2012 03:50 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:39 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication
